import Widget

use_cmfmember = 0
use_cmfmember_1_1 = 0

monkey_patch_plone_2_1 = 1

if monkey_patch_plone_2_1:

    from Products.ATContentTypes.content.event import ATEvent, ATEventSchema
    from Products.ATContentTypes.content.document import ATDocument, ATDocumentSchema
    from Products.ATContentTypes.content.file import ATFile, ATFileSchema
    from Products.ATContentTypes.content.image import ATImage, ATImageSchema
    from Products.ATContentTypes.content.link import ATLink, ATLinkSchema
    from Products.ATContentTypes.content.newsitem import ATNewsItem, ATNewsItemSchema

    from Products.Tabajara.BaseTabajara import BaseTabajaraSchema

    from Products.Archetypes.ClassGen import generateMethods

    schemata = (
        ATEventSchema,
        ATDocumentSchema,
        ATFileSchema,
        ATImageSchema,
        ATLinkSchema,
        ATNewsItemSchema,
    )

    for schema in schemata:
        for f in BaseTabajaraSchema.fields():
            schema.addField(f)

    contents = (
        ATEvent,
        ATDocument,
        ATFile,
        ATImage,
        ATLink,
        ATNewsItem,
    )

    for content in contents:
        generateMethods(content, content.schema.fields())

    print "*" * 80
    print "Tabajara monkey patch applied."
    print "*" * 80

