# File: ITreeNode.py
# 
# Copyright (c) 2005 by Weimar Desenvolvimento e Consultoria em Informatica
# Ltda (Brasil)
# Generator: ArchGenXML Version 1.4.0-beta2 devel 
#            http://plone.org/products/archgenxml
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = '''Fabiano Weimar dos Santos <xiru@xiru.org>'''
__docformat__ = 'plaintext'




from Interface import Base

class ITreeNode(Base):
    """
    Interface that defines what a tree node should implement to
    represent tree node structure.
    """

    #Methods

    def getRootNode():
        """
        Return the tree root object instance.
        """



    def getParentNode():
        """
        Return the tree parent node object instance.
        """



    def getAllParentNodes():
        """
        Return a list of object instances with the node parent until the
        root tree node.
        """



    def getChildNodes():
        """
        Return a list of nodes inside the node.
        """



    def getAssociatedContent():
        """
        Return the content object associated with the node.
        """
        

# end of class ITreeNode

