# File: TreeMenuManager.py
# 
# Copyright (c) 2005 by Weimar Desenvolvimento e Consultoria em Informatica
# Ltda (Brasil)
# Generator: ArchGenXML Version 1.4.0-beta2 devel 
#            http://plone.org/products/archgenxml
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = '''Fabiano Weimar dos Santos <xiru@xiru.org>'''
__docformat__ = 'plaintext'


from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *



from Products.Tabajara.config import *

from Products.CMFCore.utils import UniqueObject

    
##code-section module-header #fill in your manual code here
##/code-section module-header

schema=Schema((
),
)


##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

TreeMenuManager_schema = BaseFolderSchema + \
    schema

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class TreeMenuManager(UniqueObject,BaseFolder):
    """
    TreeMenuManager
    """
    security = ClassSecurityInfo()
    __implements__ = (getattr(UniqueObject,'__implements__',()),) + (getattr(BaseFolder,'__implements__',()),)


    # This name appears in the 'add' box
    archetype_name             = 'TreeMenuManager'

    meta_type                  = 'TreeMenuManager'
    portal_type                = 'TreeMenuManager'
    allowed_content_types      = ['TreeMenu']
    filter_content_types       = 1
    global_allow               = 0
    allow_discussion           = 0
    #content_icon               = 'TreeMenuManager.gif'
    immediate_view             = 'base_view'
    default_view               = 'base_view'
    suppl_views                = ()
    typeDescription            = "TreeMenuManager"
    typeDescMsgId              = 'description_edit_treemenumanager'
    #toolicon                   = 'TreeMenuManager.gif'

    schema = TreeMenuManager_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header


    # tool-constructors have no id argument, the id is fixed
    def __init__(self, id=None):
        BaseFolder.__init__(self,'portal_treemenumanager')
        
        ##code-section constructor-footer #fill in your manual code here
        ##/code-section constructor-footer



    #Methods
    #manually created methods

    security.declarePublic('getDefaultMenu')
    def getDefaultMenu(self):
        """ Return the default menu, defined by a property or
            something else acquired in the context of the tool. If
            this approach does not work for your needs (e.g. when we
            have more than one Taxonomy Tree, this method should be
            rewritten.
        """
        dm = getattr(self, 'default_treemenu', None)
        if dm is not None:
            m = getattr(self, dm, None)
            if m is not None:
                try:
                    return m.getRefs('tree_root')[0]
                except IndexError:
                    pass
	raise NotImplementedError



registerType(TreeMenuManager,PROJECTNAME)
# end of class TreeMenuManager

##code-section module-footer #fill in your manual code here
##/code-section module-footer



