#
# Product configuration. This contents of this module will be imported into
# __init__.py and every content type module.
#
# If you wish to perform custom configuration, you may put a file AppConfig.py
# in your product's root directory. This will be included in this file if
# found.
#
from Products.CMFCore.CMFCorePermissions import setDefaultRoles
from Products.Tabajara.AppConfig import use_cmfmember
if use_cmfmember:
    from Products.CMFMember.MemberPermissions import ADD_MEMBER_PERMISSION

PROJECTNAME = "Tabajara"

# Permissions
DEFAULT_ADD_CONTENT_PERMISSION = "Add portal content"
setDefaultRoles(DEFAULT_ADD_CONTENT_PERMISSION, ('Manager', 'Owner', 'Member'))
ADD_CONTENT_PERMISSIONS = {
    'TreeMenu': 'Add TreeMenu Content',
    'TreeNode': 'Add TreeNode Content',
}

if use_cmfmember:
    ADD_CONTENT_PERMISSIONS['TabajaraMember'] = ADD_MEMBER_PERMISSION

setDefaultRoles('Add TreeMenu Content', ('Manager', 'Owner', 'Member'))
setDefaultRoles('Add TreeNode Content', ('Manager', 'Owner', 'Member'))

product_globals=globals()

##code-section config-bottom #fill in your manual code here
##/code-section config-bottom


# load custom configuration not managed by ArchGenXML
if 1:
    from Products.Tabajara.AppConfig import *
#except ImportError:
#    pass

# End of config.py
