## Script (Python) "getTreeVocabulary"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=field
##title=
##

def extractTree(root):
    ret = ()
    for obj in root.getChildNodes():
        ret += ((obj.UID(), "%s : %s" % (obj.getId(), obj.Title())),)
        ret += extractTree(obj)
    return ret

rn = getattr(context, field.root_node)()
ret = ()
if not int(getattr(field, 'required', '0')) and \
   not int(getattr(field, 'multiValued', '0')):
  ret += (('', ''),)
return ret + extractTree(rn)
