from AccessControl import ClassSecurityInfo
from Products.Archetypes.Widget import ReferenceWidget
from Products.Archetypes.Registry import registerWidget

class TreeReferenceWidget(ReferenceWidget):
    """
    Tree Reference Widget
    """

    _properties = ReferenceWidget._properties.copy()
    _properties.update({
        'macro' : "tree_reference_widget",
        })
    security = ClassSecurityInfo()

registerWidget(TreeReferenceWidget,
               title='TreeReference',
               description='Show a "Tree" of References',
               used_for=('Products.Archetypes.Field.ReferenceField',)
               )
